Bug 838468 - PRD33 - [RFE] Add NoVNC web console
PRD33 - [RFE] Add NoVNC web console
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs (Show other bugs)
3.1.0
Unspecified Unspecified
high Severity medium
: ---
: 3.3.0
Assigned To: Frantisek Kobzik
Jiri Belka
http://www.ovirt.org/Features/noVNC_c...
virt
: FutureFeature
Depends On: 950425 950433 976555
Blocks: 976172 1019470
  Show dependency treegraph
 
Reported: 2012-07-09 04:08 EDT by Andrew Cathrow
Modified: 2015-09-22 09 EDT (History)
15 users (show)

See Also:
Fixed In Version: is6
Doc Type: Enhancement
Doc Text:
This features introduces the noVNC console client to Red Hat Enterprise Virtualization Manager. With this feature, users can connect to VNC consoles from within their browser using the noVNC client. For this feature to work, the websocket proxy must be set up and running in the virtualization environment, and the Red Hat Enterprise Virtualization Manager must be aware of the websocket proxy by correctly configuring the WebSocketProxy configuration key using engine-config. Moreover, the client machine must have a browser that supports websockets and postMessage, and the Certificate Authority of the Red Hat Enterprise Virtualization Manager must be imported into the client browser is SSL is enabled.
Story Points: ---
Clone Of:
: 976172 (view as bug list)
Environment:
Last Closed: 2014-01-21 12:28:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 17703 None None None Never
oVirt gerrit 13931 None None None Never
oVirt gerrit 16014 None None None Never
oVirt gerrit 16091 None None None Never
oVirt gerrit 16303 None None None Never

  None (edit)
Description Andrew Cathrow 2012-07-09 04:08:58 EDT
NoVNC package is going into RHEL 6.4
We want to allow use of NoVNC for access to VNC consoles of VMs.

Use case:

Today we only support Spice client access from admin console. We need to support VNC as well.

Initially this should only be for the web admin so we don't have to be concerned with scaling this to support users from the user portal.
Comment 5 Michal Skrivanek 2013-02-11 07:18:44 EST
target 3.3 for now. Planning per-VM/user option in UP/WebAdmin to select the preferred client/means of connect
Comment 22 Frantisek Kobzik 2013-05-30 05:30:14 EDT
Merged U/S: b8d36b573fb10e56cb2ce7324aa506cce025bea3
Comment 24 Jiri Belka 2013-07-01 07:52:10 EDT
Please ensure there's logging working correctly for websocket proxy on RHEL, thanks!
Comment 25 Alon Bar-Lev 2013-07-01 14:41:52 EDT
(In reply to Jiri Belka from comment #23)
> Two issues:
> 
> - typo

Thanks!
Comment 30 Michal Skrivanek 2013-07-19 01:57:15 EDT
or trust the engine's certificate authority and use engine's certs
Comment 31 Jiri Belka 2013-07-29 05:59:43 EDT
ok, is6.
Comment 32 Charlie 2013-11-27 19:26:22 EST
This bug is currently attached to errata RHEA-2013:15231. If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.
* Consequence: What happens when the bug presents.
* Fix: What was done to fix the bug.
* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:

https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes 

Thanks in advance.
Comment 34 errata-xmlrpc 2014-01-21 12:28:00 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0038.html
Comment 37 Michal Skrivanek 2014-07-22 09:41:38 EDT
making the bug public

Note You need to log in before you can comment on or make changes to this bug.